Page MenuHomePhabricator

Implement MCR content meta-data storage service
Closed, DuplicatePublic

Description

The meta-data storage service provides access to information about content objects. Such meta-data is accessed based on revision (and optionally slot role). The meta-data provided needs to be sufficient to locate the content blob, deserialize it, and interpret it. This ticket covers both read and write interfaces for the content meta-data service.

Design draft: https://www.mediawiki.org/wiki/Multi-Content_Revisions/Content_Meta-Data

Details

Related Gerrit Patches:

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

daniel created this task.Aug 24 2017, 2:25 PM
daniel moved this task from Inbox to Done on the Multi-Content-Revisions board.Nov 20 2017, 7:41 PM
daniel moved this task from Done to Inbox on the Multi-Content-Revisions board.
thiemowmde triaged this task as Normal priority.Dec 11 2017, 4:04 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 18 2017, 3:12 PM

Change 398385 had a related patch set uploaded (by Daniel Kinzler; owner: Addshore):
[mediawiki/core@master] [MCR] Use RevisionStore::getArchiveQueryInfo in PageArchive

https://gerrit.wikimedia.org/r/398385

Change 398385 merged by jenkins-bot:
[mediawiki/core@master] [MCR] Use RevisionStore::getArchiveQueryInfo in PageArchive

https://gerrit.wikimedia.org/r/398385

The idea of having a separate storage service for content meta-data was dropped, this is covered by the RevisionStore service. For this reason, this task has been merged with T174024: Implement MCR revision retrieval interface